## osm2go 0.6.14-test-maemo3

=== Makefile ===
#
# Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
#
# This file is part of OSM2Go.
#
# OSM2Go is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# OSM2Go is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with OSM2Go.  If not, see <http://www.gnu.org/licenses/>.
#

all:
	cd src && make
	cd data && make

install:
	cd src && make install
	cd data && make install

clean:
	rm -f *~ \#*\# *.bak *-stamp
	cd src && make clean
	cd data && make clean

distclean: clean
	rm -f Makefile src/Makefile data/Makefile config.log config.status

mostlyclean: clean

maintainer-clean: distclean
	@echo 'This command is intended for maintainers to use; it'
	@echo 'deletes files that may need special tools to rebuild.'
	# (nothing yet)

ChangeLog: FORCE
	svn2cl --group-by-day --include-rev --separate-daylogs --include-actions

-include version.mk

tarball: distclean
	sh mktarball.sh "$(VERSION_PREFIX)$(TRUNK_VERSION)$(VERSION_SUFFIX)"

FORCE:

=== data/Makefile ===
TEMPLATE_ELEMSTYLES=elemstyles-mapnik.xml
APP = osm2go
PREFIX = /usr/local

all: $(TEMPLATE_ELEMSTYLES)

elemstyles-mapnik.xml: elemstyles-mapnik.xml.in
	perl ./compose-elemstyles.pl 0.4 '#f2eee8' $+ > $@.tmp
	mv $@.tmp $@

clean:
	rm -f $(TEMPLATE_ELEMSTYLES)

install-debian:
	install -d $(DESTDIR)$(PREFIX)/share/applications
	install $(APP)-ubuntu.desktop $(DESTDIR)$(PREFIX)/share/applications/$(APP).desktop
	install -d $(DESTDIR)$(PREFIX)/share/pixmaps
	install $(APP).64.png $(DESTDIR)$(PREFIX)/share/pixmaps/$(APP).png


install-maemo:
	install -d $(DESTDIR)$(PREFIX)/share/applications/hildon
	install $(APP).desktop $(DESTDIR)$(PREFIX)/share/applications/hildon
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/26x26/hildon
	install $(APP).26.png $(DESTDIR)$(PREFIX)/share/icons/hicolor/26x26/hildon/$(APP).png
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/40x40/hildon
	install $(APP).40.png $(DESTDIR)$(PREFIX)/share/icons/hicolor/40x40/hildon/$(APP).png
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/hildon
	install $(APP).64.png $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/hildon/$(APP).png


install: install-maemo $(TEMPLATE_ELEMSTYLES)
	install -d $(DESTDIR)$(PREFIX)/share/$(APP)	
	install -m 644 *.txt $(DESTDIR)$(PREFIX)/share/$(APP)
	install -m 644 *.xml $(DESTDIR)$(PREFIX)/share/$(APP)
	install -m 644 *.style $(DESTDIR)$(PREFIX)/share/$(APP)
	for f in `find icons -name "*.png"`; do \
	   install -d $(DESTDIR)$(PREFIX)/share/$(APP)/`dirname $$f` ;\
	   install -m 644 $$f $(DESTDIR)$(PREFIX)/share/$(APP)/$$f ;\
	done;

distclean: clean

=== src/trunk/Makefile ===
#
# Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
#
# This file is part of OSM2Go.
#
# OSM2Go is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# OSM2Go is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with OSM2Go.  If not, see <http://www.gnu.org/licenses/>.
#

all:
	cd src && make
	cd data && make

install:
	cd src && make install
	cd data && make install

clean:
	rm -f *~ \#*\# *.bak *-stamp
	cd src && make clean
	cd data && make clean

=== src/trunk/data/Makefile ===
TEMPLATE_ELEMSTYLES=elemstyles-mapnik.xml
APP = osm2go
PREFIX = /usr/local

all: $(TEMPLATE_ELEMSTYLES)

elemstyles-mapnik.xml: elemstyles-mapnik.xml.in
	perl ./compose-elemstyles.pl 0.4 '#f2eee8' $+ > $@.tmp
	mv $@.tmp $@

clean:
	rm -f $(TEMPLATE_ELEMSTYLES)

install: $(TEMPLATE_ELEMSTYLES)
	install $(APP)-ubuntu.desktop $(DESTDIR)$(PREFIX)/share/applications/$(APP).desktop
	install $(APP).64.png $(DESTDIR)$(PREFIX)/share/pixmaps/$(APP).png
	install -d $(DESTDIR)$(PREFIX)/share/$(APP)	
	install -m 644 *.txt $(DESTDIR)$(PREFIX)/share/$(APP)
	install -m 644 *.xml $(DESTDIR)$(PREFIX)/share/$(APP)
	install -m 644 *.style $(DESTDIR)$(PREFIX)/share/$(APP)
	for f in `find icons -name "*.png"`; do \
	   install -D -m 644 $$f $(DESTDIR)$(PREFIX)/share/$(APP)/$$f ; \
	done;


distclean: clean

=== src/trunk/src/Makefile ===
#
# Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
#
# This file is part of OSM2Go.
#
# OSM2Go is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# OSM2Go is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with OSM2Go.  If not, see <http://www.gnu.org/licenses/>.
#

APP = osm2go
PREFIX = /usr/local

PKGS = gtk+-2.0 libxml-2.0 goocanvas libcurl gthread-2.0 \
	gnome-vfs-module-2.0 libgnome-2.0

OBJS = main.o map.o osm.o osm_api.o wms.o \
	statusbar.o project.o settings.o pos.o diff.o map_hl.o \
	iconbar.o info.o icon.o track.o gps.o canvas_goocanvas.o \
	area_edit.o josm_presets.o relation_edit.o misc.o map_edit.o \
	josm_elemstyles.o style.o net_io.o banner.o

DEFS = -DPACKAGE=\"$(APP)\" -DPREFIX=\"$(PREFIX)\" -DOSM_STREAM_PARSER -DUSE_GOOCANVAS
CFLAGS = -Wall -O2 $(DEFS) `pkg-config --cflags $(PKGS)`
LDFLAGS = `pkg-config --libs $(PKGS)`

all: $(APP)

version.h: ../debian/changelog
	awk '!/^$$/ { print "#define VERSION \"" $$2 "\"";exit }' $< | tr -d \(\) > $@

%.o: %.c
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc $(LDFLAGS) -o $@ $(OBJS)

clean:
	rm -f osm2go *.o *~ */*~ \#*\# version.h *.bak

install: $(APP)
	install $(APP) $(DESTDIR)$(PREFIX)/bin

dep: version.h
	makedepend -Y *.c

# DO NOT DELETE

area_edit.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h
area_edit.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
area_edit.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
area_edit.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h
area_edit.o: net_io.h
banner.o: banner.h appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h
banner.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
banner.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
banner.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h
banner.o: net_io.h
canvas_gnomecanvas.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h
canvas_gnomecanvas.o: osm_api.h project.h statusbar.h area_edit.h settings.h
canvas_gnomecanvas.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h
canvas_gnomecanvas.o: josm_presets.h relation_edit.h misc.h map_edit.h
canvas_gnomecanvas.o: josm_elemstyles.h style.h net_io.h
canvas_goocanvas.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h
canvas_goocanvas.o: osm_api.h project.h statusbar.h area_edit.h settings.h
canvas_goocanvas.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h
canvas_goocanvas.o: josm_presets.h relation_edit.h misc.h map_edit.h
canvas_goocanvas.o: josm_elemstyles.h style.h net_io.h
dbus.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h osm_api.h
dbus.o: project.h statusbar.h area_edit.h settings.h diff.h iconbar.h icon.h
dbus.o: info.h track.h gps.h wms.h josm_presets.h relation_edit.h misc.h
dbus.o: map_edit.h josm_elemstyles.h style.h net_io.h
diff.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h osm_api.h
diff.o: project.h statusbar.h area_edit.h settings.h diff.h iconbar.h icon.h
diff.o: info.h track.h gps.h wms.h josm_presets.h relation_edit.h misc.h
diff.o: map_edit.h josm_elemstyles.h style.h net_io.h
gps.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h osm_api.h
gps.o: project.h statusbar.h area_edit.h settings.h diff.h iconbar.h icon.h
gps.o: info.h track.h gps.h wms.h josm_presets.h relation_edit.h misc.h
gps.o: map_edit.h josm_elemstyles.h style.h net_io.h
icon.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h osm_api.h
icon.o: project.h statusbar.h area_edit.h settings.h diff.h iconbar.h icon.h
icon.o: info.h track.h gps.h wms.h josm_presets.h relation_edit.h misc.h
icon.o: map_edit.h josm_elemstyles.h style.h net_io.h
iconbar.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h osm_api.h
iconbar.o: project.h statusbar.h area_edit.h settings.h diff.h iconbar.h
iconbar.o: icon.h info.h track.h gps.h wms.h josm_presets.h relation_edit.h
iconbar.o: misc.h map_edit.h josm_elemstyles.h style.h net_io.h
info.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h osm_api.h
info.o: project.h statusbar.h area_edit.h settings.h diff.h iconbar.h icon.h
info.o: info.h track.h gps.h wms.h josm_presets.h relation_edit.h misc.h
info.o: map_edit.h josm_elemstyles.h style.h net_io.h
josm_elemstyles.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h
josm_elemstyles.o: osm_api.h project.h statusbar.h area_edit.h settings.h
josm_elemstyles.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h
josm_elemstyles.o: josm_presets.h relation_edit.h misc.h map_edit.h
josm_elemstyles.o: josm_elemstyles.h style.h net_io.h
josm_presets.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h
josm_presets.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
josm_presets.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
josm_presets.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h
josm_presets.o: net_io.h
main.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h osm_api.h
main.o: project.h statusbar.h area_edit.h settings.h diff.h iconbar.h icon.h
main.o: info.h track.h gps.h wms.h josm_presets.h relation_edit.h misc.h
main.o: map_edit.h josm_elemstyles.h style.h net_io.h banner.h
map.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h osm_api.h
map.o: project.h statusbar.h area_edit.h settings.h diff.h iconbar.h icon.h
map.o: info.h track.h gps.h wms.h josm_presets.h relation_edit.h misc.h
map.o: map_edit.h josm_elemstyles.h style.h net_io.h
map_edit.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h osm_api.h
map_edit.o: project.h statusbar.h area_edit.h settings.h diff.h iconbar.h
map_edit.o: icon.h info.h track.h gps.h wms.h josm_presets.h relation_edit.h
map_edit.o: misc.h map_edit.h josm_elemstyles.h style.h net_io.h
map_hl.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h osm_api.h
map_hl.o: project.h statusbar.h area_edit.h settings.h diff.h iconbar.h
map_hl.o: icon.h info.h track.h gps.h wms.h josm_presets.h relation_edit.h
map_hl.o: misc.h map_edit.h josm_elemstyles.h style.h net_io.h
misc.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h osm_api.h
misc.o: project.h statusbar.h area_edit.h settings.h diff.h iconbar.h icon.h
misc.o: info.h track.h gps.h wms.h josm_presets.h relation_edit.h misc.h
misc.o: map_edit.h josm_elemstyles.h style.h net_io.h
net_io.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h osm_api.h
net_io.o: project.h statusbar.h area_edit.h settings.h diff.h iconbar.h
net_io.o: icon.h info.h track.h gps.h wms.h josm_presets.h relation_edit.h
net_io.o: misc.h map_edit.h josm_elemstyles.h style.h net_io.h
osm.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h osm_api.h
osm.o: project.h statusbar.h area_edit.h settings.h diff.h iconbar.h icon.h
osm.o: info.h track.h gps.h wms.h josm_presets.h relation_edit.h misc.h
osm.o: map_edit.h josm_elemstyles.h style.h net_io.h banner.h
osm_api.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h osm_api.h
osm_api.o: project.h statusbar.h area_edit.h settings.h diff.h iconbar.h
osm_api.o: icon.h info.h track.h gps.h wms.h josm_presets.h relation_edit.h
osm_api.o: misc.h map_edit.h josm_elemstyles.h style.h net_io.h
pos.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h osm_api.h
pos.o: project.h statusbar.h area_edit.h settings.h diff.h iconbar.h icon.h
pos.o: info.h track.h gps.h wms.h josm_presets.h relation_edit.h misc.h
pos.o: map_edit.h josm_elemstyles.h style.h net_io.h
project.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h osm_api.h
project.o: project.h statusbar.h area_edit.h settings.h diff.h iconbar.h
project.o: icon.h info.h track.h gps.h wms.h josm_presets.h relation_edit.h
project.o: misc.h map_edit.h josm_elemstyles.h style.h net_io.h banner.h
relation_edit.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h
relation_edit.o: osm_api.h project.h statusbar.h area_edit.h settings.h
relation_edit.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h
relation_edit.o: josm_presets.h relation_edit.h misc.h map_edit.h
relation_edit.o: josm_elemstyles.h style.h net_io.h
settings.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h osm_api.h
settings.o: project.h statusbar.h area_edit.h settings.h diff.h iconbar.h
settings.o: icon.h info.h track.h gps.h wms.h josm_presets.h relation_edit.h
settings.o: misc.h map_edit.h josm_elemstyles.h style.h net_io.h
statusbar.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h
statusbar.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
statusbar.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
statusbar.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h
statusbar.o: net_io.h
style.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h osm_api.h
style.o: project.h statusbar.h area_edit.h settings.h diff.h iconbar.h icon.h
style.o: info.h track.h gps.h wms.h josm_presets.h relation_edit.h misc.h
style.o: map_edit.h josm_elemstyles.h style.h net_io.h
track.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h osm_api.h
track.o: project.h statusbar.h area_edit.h settings.h diff.h iconbar.h icon.h
track.o: info.h track.h gps.h wms.h josm_presets.h relation_edit.h misc.h
track.o: map_edit.h josm_elemstyles.h style.h net_io.h
wms.o: appdata.h version.h pos.h osm.h canvas.h map.h map_hl.h osm_api.h
wms.o: project.h statusbar.h area_edit.h settings.h diff.h iconbar.h icon.h
wms.o: info.h track.h gps.h wms.h josm_presets.h relation_edit.h misc.h
wms.o: map_edit.h josm_elemstyles.h style.h net_io.h

=== debian/changelog ===
osm2go (0.6.14-test-maemo3) unstable; urgency=low

  * Fremantle autodetect/compile test

 -- Till Harbaum <till@harbaum.org>  Thu, 05 Feb 2009 20:48:09 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	echo ">>> config.status"
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=/usr --exec-prefix=/usr


-include version.mk

build: build-stamp

build-stamp: config.status
	echo ">>> build-stamp"
	dh_testdir

	# Add here commands to compile the package.
	VERSION_PREFIX=`perl debian/parse-changelog prefix $(TRUNK_VERSION)`  \
	VERSION_SUFFIX=`perl debian/parse-changelog suffix $(TRUNK_VERSION)`  \
	$(MAKE)
	#docbook-to-man debian/osm2go.sgml > osm2go.1

	touch $@

clean:
	echo ">>> Cleaning up"
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	echo ">>> install"
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/osm2go.
	$(MAKE) DESTDIR=$(CURDIR)/debian/osm2go install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## osm2go 0.6.14.1-maemo1

=== debian/changelog ===
osm2go (0.6.14.1-maemo1) unstable; urgency=low

  * New trunk release.
  * Bump debian/rules etc. for build.

 -- Andrew Chadwick <andrewc@piffle.org>  Sat, 21 Mar 2009 22:38:13 +0000

## osm2go 0.7.0-maemo1

=== debian/changelog ===
osm2go (0.7.0-maemo1) unstable; urgency=low

  * Fuzzy object detection
  * First fremantle related patches
  * API 0.6 support
  * Improved relation handling
  * Faster object detection
  * Detail level adjustment

 -- Till Harbaum <harbaum@metis>  Mon, 20 Apr 2009 20:41:32 +0200

## osm2go 0.7.0.1-maemo1

=== debian/changelog ===
osm2go (0.7.0.1-maemo1) unstable; urgency=low

  * "Error 417 expect" fixing

 -- Till Harbaum <harbaum@metis>  Fri, 24 Apr 2009 12:05:25 +0200

## osm2go 0.7.0.2-maemo1

=== debian/changelog ===
osm2go (0.7.0.2-maemo1) unstable; urgency=low

  * No it should be fixed

 -- Till Harbaum <harbaum@metis>  Fri, 24 Apr 2009 13:36:32 +0200

=== debian/control ===
Source: osm2go
Section: user/navigation
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), maemo-version-dev, libcurl3-openssl-dev, libgoocanvas-dev, libosso-dev, liblocation-dev|libgpsmgr-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, mce-dev, perl-base (>= 5), tablet-browser-interface-dev|devscripts
Standards-Version: 3.7.2

Package: osm2go
Architecture: any
Pre-Depends: maemo-select-menu-location
Depends: ${shlibs:Depends}, libgoocanvas3
Description: Mobile OpenStreeMap Editor
 OSM2Go is a lightweight editor for OpenStreetMap intended for mobile
 devices and small screens.
 .
 This mapping tool is particularly suited for small-screen portable
 systems such as subnotebooks, handheld devices and netbooks which do
 not have a network connection at all times.
 .
 OSM2Go features a tagging presets system, background satellite/WMS
 layers, and gpsd integration. It was originally designed for the Maemo
 mobile Linux platform, and so is lightweight and sports a simple,
 speedy interface to map editing.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaEAYAAAD52pCNAAAABmJLR0QA/wD/AP+g
 vaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAACXZwQWcAAAAaAAAAGgAHsmYvAAAP
 cUlEQVRYw8WYeVRW5dqHr3e/8wAyDwKCDAoik6Ii4ZgeTTM1LS0r03MsLE0t83TK
 Y+nJ75gcU8wpnEsjR0wLtDLBFERicgBUFJkFRXiBF17eYe/vD7B1ln7n+9ZZ61vr
 /P757Wevve/nvta+n/3ce8voVlS3yT7sdmkW/y+SNfXEi+s5cavHB3abYVC3Bxl6
 xrXd/sCz2yuOd7ulJw4HeuLe74m79IkZu00e7nHU+yPXgz8Faz/V7dJ8dMdUw93V
 9fvOT7cX2RPF0RfSuq+r1Ha7/VTPfe09CUUplihs8rKRhR5/Cljeyz7GN+yrQe/0
 fSuuzeL78KjMp7I+9+H5zqKEC794RntGenvHfB/hH+Ef4T/usBdeeKGxKrOV2cps
 6BzeObxzOFS5VblVuTUFFFuKLcWWs+7eo/qsdE0NLCs7dq3oTuPWLeJw+w1xy77X
 /wUQhK6L2B0U/235j5uLE/crZwXVzqvq03ALik4d/PhHd+m9i8FV7g2NleUl2uJ7
 tzaWVIWfjt4W8sHAinj1mOTBZr/8yAdxO0PGy4JqD4sfXEuC0FedTcOegd0Lk95O
 2w2dve6vU8wFaQ7TpNXQfKBN06iDmvdqcusWg9N8lwL9NNCd0Z3T3QZ+tCUqnwP/
 ob4Rga9D/Wv3NtX5wncbvms7GXz4Rqdrx186M2ft7kk/6QkgpY/ynGJxotelMZXG
 43nb673maE+pDoL8SL1r0ymwrg77LGAIWJZ1pVhHgmyOECzuhOJv7z99MQnqNK0X
 K1QQONexIfwMnNjwj68L14HbBN0Y/0C4urRkccELMDR2jHlIKkyc8VyvMZehbH15
 +q0pYCnSbaveAda3OgLtA8Brst4joA4y/U83596F6qSSmOa94DXVs773RXFFypcp
 X6Z8+dYaS4mlxFLypfYRh/DowFprHWP7ItM97x8XHa8sJl560/HvholArPibOBMU
 SXdD67eAYBGmyC6B4CIbrtgG0VmeQQmjQDZLNkf2FRx4sCs2LQQ8CxzyA7+GwsXX
 xLyl8Mc5ywufPwejikeNGX0c3P/s+HePDdC7o/d5p1mg1wlXXdaAs1y3y10B8mjF
 eiEVJr43fceIrZDw05RJ4Z5wP7hJ3eAsrJ8dMztmdsymjwgiiKBIryeAulWuyHY8
 V1GQXp0rXRTcZfvAOiX8bGAlyFYaj5gqQdGhXKR4F8Q00STdAvEFe559Nahft36q
 TwZr8q1V7s9D+aGKF24mweB1Uzf5bAT52w5p4kHQ7jO4cQoMHqqRblngMkEveF0G
 ryi9EPAc6D9U9er1DaDDCy0oxyrzlR9AoLLfs34FMLbPjOpoR/D7yS/fL1WzIWB8
 wPiA8Wt0PQATHgOyFV67UDD/5qmr1ZZlXcess0HUtxxpnwGSSfOWMgNI4RtWg81s
 nW1JBXmZbI9iBdyNzRtr3A5DXot6Kn4Y1BVYd5WcgIfbJV11KVyKrXzzzHC4dP9W
 5k/RUORT1/6LGkriqz67/gco8qmmQAstsS2CXQ4tm5r72QuhbXdbvqwDOl06ys0G
 CEuPlAf5Q+74vKCc12BcxriMcRmT6rrzdy9/DEhuH7gkpjhkz8CJqlT1h0oBVFEl
 cytU0NHa92rvV8G8rqPVvBEsay2Rtp/BWmf90uYP9a634tpeAbLJ5hL4Z8e297oO
 qk3ajxX9wf609AflHagubVtaPwTKPbrEi8VwJ9zY/9JGMPdzCSpXglqhW9uxH1TJ
 6tvCXmh1Mt7r9ADDOIcifRaoJ2vi1VMhLz036rcJDwaEGcIMYQZlJ8tZzvLYFY8B
 BY0fbhzdMWiR30nF8du/1m4GMXGgPdAfVC6qFuWfQfmRar/CC7R5+uPaNrCXSmO6
 5NDZ3L6j10tgfL81wzgeVA81G+VbwF5ge0OcCa2nmrcu9YaqUbfGvZgATbWtrz5Y
 AV1HzFe6loOXt3ZEwFqwT7b9TSoEyV2MEH6A4Bn9/+7kCRYXywDrPchad6YiVymt
 NS436lvv/DLMkG3INmSD8InwifCJ94jfgRSLFCb5tVG/xbo8NTtCKQtgjkqu3AHy
 VQ2yhwOAP9FL8gJWS/2lfiAKduyBIJspbBOCgEqlf50nGA7q1xnOgNNJ2U2fOSD3
 UazUxEPL/HtHrYdBvlTh5tkXujxaPg2PBWuE/OUOM1QfqflDtQsYrPq7Bk/Qe+vH
 yZRQo6882PwmaNy0/dQOcLo5rTlrea1WfkB+QH6gcoEqXZWuSgc88MCjS6l4BNRX
 DBH83h3t5nHT82fno2DpiwUjCGFNTsZUkG/KfaVkMAiJ/rHeBujYbaiVh0DTDmtU
 XTr0nuL5urcSAif3HR4oweUNv+TWvwW9P4+IHyxCwsbo18x5cO182brGDeA4VHhl
 Wig4pap3yLaCdbHuSOsRaNvdvr3tMLDO/p12D/SqdD7pMAUeTGtQNURCyaor9eVx
 uWN763pX974d2qd9VPuo9lFIolk0i+YbdYpHLUpU4pCOsJ/i3OwviS+LM0G+TDgr
 DATWe5a4zgBZageWArCWP9jbfALUxc5ZPgbwO6z5IcQZJsZPnqFZCAWyDLfKUBDe
 NNZU5sGkd+JuRS0D7QLdqAdJoNyjerP5JsgDNWdqy8APh8v+v8LDxAcmowzUV9UN
 DpPAtt2aKu4C8+EOZdsZMA1rCzOFQOOMupSmQbXJ887Mk+admX8p+5vsb7K/qZuC
 iIhYHC886rXqhdoXG+sq9wrjhBXyTLC8YtHYNoE5peOmeQ1Ynq852bAXOhz9Qj2U
 YDeZhK5TYD9m3ySuh4CWYMn3ONwsq5p25RxEdoY9P2gepNuOzc/sB7KZskRZOKi+
 7vTsbIOQqx4bvGugsaZe13QPnHydbQ6roHZo1Yr7b0FdbtX4uy9Ce5/WLaZD0NVh
 brIooM8ef2ffsNfORauj1dFqQ+nJ3id7n+y9tblnN53+qORuFR+6vKU0JTOuc7yp
 rfPSGAxTewmGvSAdl0aIjqD00+xVhYPFXKd7UA8OoxvVxlXQWtExUWqE8nE6q4cP
 iLulets4sKqsh6x3oOnpuxaLEnI8Mp8uzALHZKdQvRNUDLi5rPoe1HxcWX5vFJiX
 d/7V8gEYRzfPNv4ATp87T9IsA+mYFCy9B6U3i/LvbIHnfpziOO0Np7spoSn6lMHF
 35jiTfGm+E3zejh2yR+tIUuF5Yz1hvRxTFXc28M+mKfrKwS1u/mBMEH+puI62FZ7
 2pyvgmxxw42HwVA8oSW36SBcTj9XdiEETp8+0pabAg5z3U769Qe3na5ObqngGuzi
 7ToIKraUBtzbD8XhBRHXZOD0fGVm7Wtgd9AJ2mmgHeu0TT8DGlvu9WkdCXWXq27X
 LoOsLT/Yi54B9xgHd79XINvvotOFEVJykV+xb7HHxKFYsGCpGfpkp1BNOfUFs64m
 F4Rfeb8tq/W99pHCeLCfsDpb/UBA8Rf5TLjx5wa3srlw2Jz82Ya+kPl17vBf3wV9
 gq6ztBgCxvrMdk0CRY4iR5EDv4VeCbpUCG2rusSmwRCY7/NzWBU0yPWJQYVw7Z2C
 DU21cGZb6kv5MqjMLj7TEA/69fay3v7gfcptid9o6Nr8MO2OCt4PeHVAQq5sCbGM
 ZaDvjce77cf2ofZf8o9czCqclD9AMV1hkH0Lxs9bNfJYKL6UMftUJxwo3eC3Sw/N
 QW23ZApQzpTv5AUwB3caTaOhVMip2q+BKy+XGC4UwqIFH1e+EQtJhe8vmG6D6KqE
 2b77QPyrblVbMMjrZHcZCK43H+5u2gOO5bK7HZUg7XAYazTDrDmLGhNehw+T93Wu
 WA0xr/4xb0opuKx2z3JyGGV+HEjx2HiVbrDhVe1FwxjNWfVa+9tcuxN5YfD3JXCo
 KjlnXxoYC01GmQ20CapYKQM0A5XTxArQ+Kl+lnJAfVbY0hIEunfdrcpq8G/3N+sz
 QRhx/afG6xD1/cj0wXcgIXzyp7GuICyRHcUBhFprjK0BpM0KF/lVsPeRasT3gfEc
 RQv2U/ZtkgqsNbZkMRUslV3R1pz2ECDrfwFyzYlTjRwftSciqizlXGH6TDh0dfPC
 /Z3QEmAyykaD9qnfQZ4XK0AT2Q2i0SqTpTQQt0n/YAL45gYN98oAhU4qlDaCaqQU
 IdlA5aOKV0WAapV6gGw9COnCZYLAHCFG2D8Au6NtkU0Juu2GHbpgkCELllX1pLcS
 ikbkfVfigak9pvWCKTQzEgD7/wR0mFP8NW664wjbgLrT6oWplZtKfnWHFvf2AQSC
 Nk41WMoATZTy2R6QH3tAvpDSQCqV1ESB8InP2vjTMDlj7twZ90EaI11lGJjCQzwD
 RoBt55X5lUNBmD9yeUAriN+J5+0zQbgmz5FbQT1X26o5B1KGmCHuBukzyVOKBfTU
 YIbsWb905Re1rcKOHXuB+xMlJwviOgHEjPwqMktdMCmgUHF2Z1YbtAZ2bBQCQROp
 ipROgyZKOV2sAE2MKqsHZKt0HKR8SUYMGHYa+oQmQKJiztJp74Dp+q8Rt3eDLV4s
 FN8A3QLdEmUQeBXortivQNdm+xZ7LUiZ0nQpCKQO6aTUCKJkS7SNBPn7iksKI3BN
 FieLAlppph1yR5w3FW/N/wLIgXbrE0DxU8PvqlZOCPE/7O2iD1q4trm/aZOQxDPa
 Ib+XVjdIvCpXygaNXrlbOgbSDqmcBNB9HpwVPwcSY2fcnroYxGuDOvo5QPv6e2se
 fgVuL3hucOkC5VOqNMX30CXYbfZawCgZJSMI14R2QQTpDVFjbQf5Cg3qKuAZ4vgn
 EOOm5mNt/wWFJZdvlyScO4AXcIQnfuYoHH/QfyrfNcSrXWX+SHhbduifQJ7pKa3z
 PU9kp3QMpHVSIU+BKcBQEdoKwUciZgweKLmverD53aMLa5xz/lZcXX7815jyZ8sW
 V87L9naqca5yeDdg3uCn4prCM0Z/H3/w6c2xDJwZt3Lky9ELNf2DY0Pf9o+Frq+6
 vrWFwJUFBSnFlzFdiswcVLi9bVWOS6ZTYWr+F49ATF5t+zuO7LnNv5DMv9TzsmJN
 oGrs2EFbHIZdPGyPFh1lfl5TNT6qs1IxaLTKdVIaSCekJmIRfxPL02Th511z71x/
 pSX3QIioFmdJa873fAKX99S0fc+/mK9fz8tnLaN5jrg40eWIe6NT0CizZVfXPUtS
 e0j7ytbqDr/MyJ418kXPdvIX/l319fV2VU2JSJoTPz7N5VB98uLh02uc1kjSorzp
 C5y2SNLIEzGlro0nl2iq1DHyuZrP/u0J/lPyPuH6UHUs1Hf49oF2p7A96VGykA29
 utbs1RxXq+XPqvf+p/P7v/TfVs+/lG9FkggAAAAASUVORK5CYII=

## osm2go 0.7.1-maemo1

=== debian/changelog ===
osm2go (0.7.1-maemo1) unstable; urgency=low

  * Dialog size framework
  * Fix of error "417" in delete operations

 -- Till Harbaum <till@harbaum.org>  Mon, 27 Apr 2009 19:57:13 +0200

## osm2go 0.7.1.1-maemo1

=== debian/changelog ===
osm2go (0.7.1.1-maemo1) unstable; urgency=low

  * Fix crash while switching projects while GPS without fix
  * Fixed bug in map_state while switching projects
	
 -- Till Harbaum <harbaum@metis>  Sat, 02 May 2009 10:17:22 +0200

## osm2go 0.7.1.2-maemo1

=== debian/changelog ===
osm2go (0.7.1.2-maemo1) unstable; urgency=low

  * Yet another GPS related crash fix

 -- Till Harbaum <harbaum@metis>  Sun, 03 May 2009 20:49:04 +0200

## osm2go 0.7.1.3-maemo1

=== debian/changelog ===
osm2go (0.7.1.3-maemo1) unstable; urgency=low

  * dito

 -- Till Harbaum <till@harbaum.org>  Sun, 24 May 2009 21:23:38 +0200

## osm2go 0.7.2-maemo1

=== debian/changelog ===
osm2go (0.7.2-maemo1) unstable; urgency=low

  * Node distance detection bug fix
  * Fremantle memory card adjustments

 -- Till Harbaum <harbaum@metis>  Mon, 01 Jun 2009 13:32:51 +0200

## osm2go 0.7.3-maemo1

=== debian/changelog ===
osm2go (0.7.3-maemo1) unstable; urgency=low

  * More minor Fremantle adjustments

 -- Till Harbaum <harbaum@metis>  Tue, 16 Jun 2009 10:36:12 +0200

## osm2go 0.7.4-maemo1

=== debian/changelog ===
osm2go (0.7.4-maemo1) unstable; urgency=low

  * Automatic setup of initial demo project

 -- Till Harbaum <harbaum@metis>  Thu, 18 Jun 2009 20:37:59 +0200

## osm2go 0.7.5-maemo1

=== debian/changelog ===
osm2go (0.7.5-maemo1) unstable; urgency=low

  * Fremantle data path fix

 -- Till Harbaum <harbaum@metis>  Sun, 21 Jun 2009 12:47:56 +0200

## osm2go 0.7.6-maemo1

=== debian/changelog ===
osm2go (0.7.6-maemo1) unstable; urgency=low

  * Even better path handling

 -- Till Harbaum <harbaum@metis>  Tue, 23 Jun 2009 21:21:59 +0200

## osm2go 0.7.6-maemo3

=== debian/changelog ===
osm2go (0.7.6-maemo3) unstable; urgency=low

  * Dependency adjustment

 -- Till Harbaum <harbaum@metis>  Wed, 01 Jul 2009 21:13:33 +0200

osm2go (0.7.6-maemo2) unstable; urgency=low

  * Installation path bug fix

 -- Till Harbaum <harbaum@metis>  Tue, 23 Jun 2009 22:41:07 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
 
 Package: osm2go
 Architecture: any
-Pre-Depends: maemo-select-menu-location
 Depends: ${shlibs:Depends}, libgoocanvas3
 Description: Mobile OpenStreeMap Editor
  OSM2Go is a lightweight editor for OpenStreetMap intended for mobile

## osm2go 0.7.7-maemo1

=== debian/changelog ===
osm2go (0.7.7-maemo1) unstable; urgency=low

  * Reordered menues for more consistency
  * Fremantlized menues
  * Relation list reachable from object info
	
 -- Till Harbaum <till@harbaum.org>  Mon, 06 Jul 2009 07:57:22 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 Package: osm2go
 Architecture: any
+Pre-Depends: 
 Depends: ${shlibs:Depends}, libgoocanvas3
 Description: Mobile OpenStreeMap Editor
  OSM2Go is a lightweight editor for OpenStreetMap intended for mobile

## osm2go 0.7.8-maemo1

=== debian/changelog ===
osm2go (0.7.8-maemo1) unstable; urgency=low

  * Built-in slippy map based on osm-gps-map 
  * First steps with project wizard
  * Consistency bug fix when editing the currently active project
  * Cleaned up handling of "createy_by" and "source" tags
	
 -- Till Harbaum <till@harbaum.org>  Wed, 08 Jul 2009 17:46:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/navigation
 Priority: extra
 Maintainer: Till Harbaum <Till@Harbaum.org>
-Build-Depends: debhelper (>= 5), maemo-version-dev, libcurl3-openssl-dev, libgoocanvas-dev, libosso-dev, liblocation-dev|libgpsmgr-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, mce-dev, perl-base (>= 5), tablet-browser-interface-dev|devscripts
+Build-Depends: debhelper (>= 5), maemo-version-dev, libcurl3-openssl-dev, libgoocanvas-dev, libosso-dev, liblocation-dev|libgpsmgr-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, mce-dev, perl-base (>= 5), tablet-browser-interface-dev|devscripts, libsoup2.4-dev
 Standards-Version: 3.7.2
 
 Package: osm2go

## osm2go 0.7.9-maemo1

=== debian/changelog ===
osm2go (0.7.9-maemo1) unstable; urgency=low

  * Osm-gps-map map backported to soup-2.2 for chinook and diablo

 -- Till Harbaum <till@harbaum.org>  Fri, 10 Jul 2009 21:46:15 +0200

## osm2go 0.7.10-maemo1

=== test/Makefile ===
#
#

APP = statusbar_bg

PKGS = gtk+-2.0
OBJS = $(APP).o

CFLAGS = -O2 `pkg-config --cflags $(PKGS)`
LDFLAGS = `pkg-config --libs $(PKGS)`

all: $(APP)

%.o: %.c
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc $(LDFLAGS) -o $@ $(OBJS)

clean:
	rm -f $(APP) *.o

=== debian/changelog ===
osm2go (0.7.10-maemo1) unstable; urgency=low

  * Draw exact border in osm-gps-map
  * Simplified project edit dialog
	
 -- Till Harbaum <till@harbaum.org>  Sun, 12 Jul 2009 13:29:00 +0200

## osm2go 0.7.11-maemo1

=== debian/changelog ===
osm2go (0.7.11-maemo1) unstable; urgency=low

  * Nice initial centering of new projects

 -- Till Harbaum <till@harbaum.org>  Mon, 13 Jul 2009 20:46:29 +0200

## osm2go 0.7.12-maemo1

=== debian/changelog ===
osm2go (0.7.12-maemo1) unstable; urgency=low

  * Fremantle submenu handling fixed
  * GPS centering of osm-gps-map
  * Ignore created_by tags when e.g. copying tags
  * Progress in undo feature
  * Unified base objects
  * Bug fix in way/node hash table handling
	
 -- Till Harbaum <till@harbaum.org>  Mon, 20 Jul 2009 17:59:44 +0200

## osm2go 0.7.13-maemo1

=== debian/changelog ===
osm2go (0.7.13-maemo1) unstable; urgency=low

  * Detail scale popup

 -- Till Harbaum <till@harbaum.org>  Mon, 27 Jul 2009 21:13:48 +0200

## osm2go 0.7.14-maemo1

=== test/Makefile ===
#
#

all: statusbar_bg fremantle_submenu

statusbar_bg: statusbar_bg.c
	gcc `pkg-config --libs --cflags gtk+-2.0` -o $@ $<

fremantle_submenu: fremantle_submenu.c
	gcc `pkg-config --libs --cflags hildon-1` -o $@ $<

clean:
	rm -f statusbar_bg fremantle_submenu *.o

=== debian/changelog ===
osm2go (0.7.14-maemo1) unstable; urgency=low

  * Fixed fremantle zoom buttons
  * Explicitely enable GPS in fremantle

 -- Till Harbaum <till@harbaum.org>  Thu, 30 Jul 2009 20:00:20 +0200

## osm2go 0.7.15-maemo1

=== debian/changelog ===
osm2go (0.7.15-maemo1) unstable; urgency=low

  * Fixed "goto gps" in osm-gps-map
  * Changed main screen detail icon
  * Prevent GPS indicator from zooming too small
	
 -- Till Harbaum <till@harbaum.org>  Thu, 30 Jul 2009 20:22:52 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	# Add here commands to configure the package.
	dh_testdir
	./configure --prefix=/usr 
	#--exec-prefix=/usr
	#XXX dh_auto_configure
	touch "$@"

build: build-stamp

build-stamp: configure-stamp
	# Add here commands to compile the package.
	dh_testdir
	#XXX dh_auto_build
	DESTDIR=`pwd`/debian/osm2go $(MAKE)
	# VERSION_PREFIX=`perl debian/parse-changelog prefix $(TRUNK_VERSION)`  \
	# VERSION_SUFFIX=`perl debian/parse-changelog suffix $(TRUNK_VERSION)`  \
	# $(MAKE)
	#docbook-to-man debian/osm2go.sgml > osm2go.1
	touch $@

clean: configure-stamp
	# Add here commands to clean up after the build process.
	dh_testdir
	dh_testroot
	#XXX dh_auto_clean
	$(MAKE) distclean
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	# Add here commands to install the package into debian/osm2go.
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	#XXX dh_auto_install
	DESTDIR=`pwd`/debian/osm2go $(MAKE) install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
	dh_desktop
#XXX	dh_icons
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman data/osm2go.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## osm2go 0.7.16-maemo1

=== debian/changelog ===
osm2go (0.7.16-maemo1) unstable; urgency=low

  * use pannable areas in all lists
  * user finger sized buttons where possible/useful
  * updated osm-gps-map
	
 -- Till Harbaum <till@harbaum.org>  Tue, 04 Aug 2009 18:38:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/navigation
 Priority: extra
 Maintainer: Till Harbaum <Till@Harbaum.org>
-Build-Depends: debhelper (>= 5), maemo-version-dev, libcurl3-openssl-dev, libgoocanvas-dev, libosso-dev, liblocation-dev|libgpsmgr-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, mce-dev, perl-base (>= 5), tablet-browser-interface-dev|devscripts, libsoup2.4-dev
+Build-Depends: debhelper (>= 5), maemo-version-dev, libcurl3-openssl-dev, libgoocanvas-dev, libosso-dev, liblocation-dev|libgpsmgr-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, mce-dev, perl-base (>= 5), tablet-browser-interface-dev|devscripts, libsoup2.4-dev|libsoup2.2-dev
 Standards-Version: 3.7.2
 
 Package: osm2go

## osm2go 0.7.17-maemo1

=== debian/changelog ===
osm2go (0.7.17-maemo1) unstable; urgency=low

  * Updated osm-gps-map
  * autosave every two minutes
  * Keep OSM backup to cope with failing download
  * Finally found the icon bug and thus removed all options to disable icons
	
 -- Till Harbaum <till@harbaum.org>  Thu, 20 Aug 2009 21:13:23 +0200

## osm2go 0.7.18-maemo1

=== test/Makefile ===
#
#

all: statusbar_bg fremantle_submenu fremantle_popup

statusbar_bg: statusbar_bg.c
	gcc `pkg-config --libs --cflags gtk+-2.0` -o $@ $<

fremantle_submenu: fremantle_submenu.c
	gcc `pkg-config --libs --cflags hildon-1` -o $@ $<

fremantle_popup: fremantle_popup.c
	gcc `pkg-config --libs --cflags hildon-1` -o $@ $<

clean:
	rm -f statusbar_bg fremantle_submenu *.o

=== debian/changelog ===
osm2go (0.7.18-maemo1) unstable; urgency=low

  * Track redraw bugfix
  * No tile caching in OSM map for area selection

 -- Till Harbaum <till@harbaum.org>  Thu, 27 Aug 2009 17:18:56 +0200

## osm2go 0.7.19-maemo1

=== debian/changelog ===
osm2go (0.7.19-maemo1) unstable; urgency=low

  * Check area for useful values
  * Updated osm-gps-map
  * Fixed crash with empty tag list on fremantle
  * Right side button bar on fremantle
	
 -- Till Harbaum <till@harbaum.org>  Mon, 31 Aug 2009 17:56:24 +0200

## osm2go 0.7.20-maemo1

=== debian/changelog ===
osm2go (0.7.20-maemo1) unstable; urgency=low

  * Fixed viewport follow bug
  * Create backups of diff and track before saving
  * Button size fixes
	
 -- Till Harbaum <till@harbaum.org>  Sat, 05 Sep 2009 12:18:30 +0200
